LibreOffice: XValidatableFormComponent Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
XValidatableFormComponent Interface Reference

is a convenience interface for accessing several aspects of a form component which supports validation. More...

`import "XValidatableFormComponent.idl";`

Inheritance diagram for XValidatableFormComponent:

## Public Member Functions
boolean | isValid ()
| determines whether the current value of the component passed the validity test at the validator.
any | getCurrentValue ()
| retrieves the current value of the component.
void | addFormComponentValidityListener ([in] XFormComponentValidityListener Listener) raises ( com::sun::star::lang::NullPointerException )
| registers the given listener.
void | removeFormComponentValidityListener ([in] XFormComponentValidityListener Listener) raises ( com::sun::star::lang::NullPointerException )
| registers the given listener.
Public Member Functions inherited from XValidatable
void | setValidator ([in] XValidator Validator) raises ( com::sun::star::util::VetoException )
| sets an external instance which is able to validate the component
XValidator | getValidator ()
| retrieves the external instance which is currently used to validate the component
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is a convenience interface for accessing several aspects of a form component which supports validation.

A validatable form component has two aspects which other parties might be interested in:

- The pure validity flag: Whatever the user enters in the component, this is either valid (relative to the active validator), or invalid.
- The current value: Even if the validity flag does not change with the user input (e.g. because the user replaces one invalid value with another invalid value), observers might be interested in the current value, for example to include it in a feedback message to the user.

An XValidatableFormComponent allows to easily access both of these aspects.

Note that all of the information provided at this interface can also obtained by other means, but much more inconveniently.

See also
  XValidatable
  XValidator

## Member Function Documentation

## ◆ addFormComponentValidityListener()

void addFormComponentValidityListener | ( | [in] XFormComponentValidityListener | Listener | ) |
raises | ( | com::sun::star::lang::NullPointerException ) |  |  |

registers the given listener.

XFormComponentValidityListeners are called whenever any of the aspects of the validatable form component (the validity flag, or the value) changed.

Exceptions

  com::sun::star::lang::NullPointerException | if the given listener is NULL

## ◆ getCurrentValue()

any getCurrentValue | ( |  | ) |

retrieves the current value of the component.

The type of the current value, as well as it's semantics, depend on the service implementing this interface.

Again, this is a convenience method. For example, for a com::sun::star::form::component::FormattedField, calling this method is equivalent to retrieving the com::sun::star::awt::UnoControlFormattedFieldModel::EffectiveValue.

If no validator has been set (XValidatable::setValidator()), the value returned here is defined by the service implementing this interface.

## ◆ isValid()

boolean isValid | ( |  | ) |

determines whether the current value of the component passed the validity test at the validator.

Calling this is equal to calling XValidator::isValid() with the current value (see getCurrentValue()) of the component, where the validator is obtained via XValidatable::getValidator().

If no validator has been set (XValidatable::setValidator()), this method returns true.

## ◆ removeFormComponentValidityListener()

void removeFormComponentValidityListener | ( | [in] XFormComponentValidityListener | Listener | ) |
raises | ( | com::sun::star::lang::NullPointerException ) |  |  |

registers the given listener.

Exceptions

  com::sun::star::lang::NullPointerException | if the given listener is NULL

The documentation for this interface was generated from the following file:

- com/sun/star/form/validation/XValidatableFormComponent.idl